Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::EventQueue Class Reference

This class holds InputEvents given to it by the EventProcessor in a FIFO queue. More...

`#include <OgreEventQueue.h>`

List of all members.

## Public Methods

| EventQueue ()
virtual | ~EventQueue ()
void | push (InputEvent *e)
InputEvent * | pop ()
void | activateEventQueue (bool set)
| Turn the queue on so it can pop and push InputEvents.
size_t | getSize () const

## Protected Attributes

std::queue< InputEvent * > | mEventQueue
bool | mActivateEventQueue

## Detailed Description

This class holds InputEvents given to it by the EventProcessor in a FIFO queue.

Definition at line 44 of file OgreEventQueue.h.

## Constructor & Destructor Documentation

Ogre::EventQueue::EventQueue | ( |  | ) |

| Definition at line 33 of file OgreEventQueue.cpp. References mActivateEventQueue.

Ogre::EventQueue::~EventQueue | ( |  | ) | `[virtual]`

| Definition at line 42 of file OgreEventQueue.cpp. References mEventQueue.

## Member Function Documentation

void Ogre::EventQueue::activateEventQueue | ( | bool | set | ) |

| Turn the queue on so it can pop and push InputEvents. Definition at line 76 of file OgreEventQueue.cpp. References mActivateEventQueue. Referenced by Ogre::EventProcessor::startProcessingEvents(), and Ogre::EventProcessor::stopProcessingEvents().

size_t Ogre::EventQueue::getSize | ( |  | ) | const

| Definition at line 82 of file OgreEventQueue.cpp. References mEventQueue. Referenced by Ogre::EventProcessor::frameStarted().

InputEvent * Ogre::EventQueue::pop | ( |  | ) |

| Definition at line 64 of file OgreEventQueue.cpp. References mActivateEventQueue, and mEventQueue. Referenced by Ogre::EventProcessor::frameStarted().

void Ogre::EventQueue::push | ( | InputEvent * | e | ) |

| Definition at line 55 of file OgreEventQueue.cpp. References mEventQueue. Referenced by Ogre::InputReader::createKeyEvent(), and Ogre::InputReader::createMouseEvent().

## Member Data Documentation

bool Ogre::EventQueue::mActivateEventQueue`[protected]`

| Definition at line 48 of file OgreEventQueue.h. Referenced by activateEventQueue(), EventQueue(), and pop().

std::queue<InputEvent*> Ogre::EventQueue::mEventQueue`[protected]`

| Definition at line 47 of file OgreEventQueue.h. Referenced by getSize(), pop(), push(), and ~EventQueue().

The documentation for this class was generated from the following files:

- OgreEventQueue.h
- OgreEventQueue.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:56 2004